
package uk.co.badgersinfoil.jactionscript;


/**
 * Some action whose bytecode is unknown to the SWF parser.
 */
public class UnknownAction extends Action {
	private int code;
	private byte[] data;

	public UnknownAction(int code, byte[] data) {
		super("unknown0x"+Integer.toHexString(code));
		this.code = code;
		this.data = data;  // TODO: deep copy needed?
	}

	public int getCode() {
		return code;
	}
	public byte[] getData() {
		return data;
	}

	public void accept(Visitor v) throws JASVisitorException {
		v.visitUNKNOWN(this);
	}
}
