
package uk.co.badgersinfoil.jactionscript;

public class WaitForFrameAction extends BranchAction {
	private int frameNumber;

	public WaitForFrameAction(int frameNumber, ActionHandle target) {
		super("waitForFrame", target);
	}

	public int getFrameNumber() {
		return frameNumber;
	}

	public void accept(Visitor v) throws JASVisitorException {
		v.visitWAIT_FOR_FRAME(this);
	}
}
