
package uk.co.badgersinfoil.jactionscript.analysis;

import uk.co.badgersinfoil.jactionscript.Visitor;

import java.util.List;
import java.util.ArrayList;

/**
 * A stack of {@link Operand} objects.
 */
public class StackInfo {
	private List stack = new ArrayList();

	public void push(Operand entry) {
		stack.add(entry);
	}
	
	public Operand pop() {
		if (stack.size()>0) {
			return (Operand)stack.remove(stack.size()-1);
		}
		return Operand.mkunderrun();
	}

	public Operand peek() {
		return (Operand)stack.get(stack.size()-1);
	}

	public void invalidate() {
		stack.clear();
	}
}
