
package uk.co.badgersinfoil.jactionscript;

import java.util.List;
import java.util.Iterator;

public class PushAction extends Action {
	private List values = new java.util.ArrayList();

	// TODO: locate this somewhere more public e.g. ASUndefined.VALUE
	/** Represents the ActionScript 'undefined' value */
	public static final Object UNDEFINED = new Object();

	public PushAction(Object val) {
		super("push");
		add(val);
	}

	public void add(Object val) {
		// TODO: type-check argument
		values.add(val);
	}

	public Iterator valueIterator() {
		return values.iterator();
	}

	public void accept(Visitor v) throws JASVisitorException {
		v.visitPUSH(this);
	}
}
