
package uk.co.badgersinfoil.jactionscript;


public class StartFunctionAction extends Action {
	private String name;
	private String[] paramNames;
	private ActionList body;

	public StartFunctionAction(String name, String[] paramNames,
	                       ActionList body) {
		super("startFunction");
		this.name = name;
		this.paramNames = paramNames; // TODO: deep copy needed?
		this.body = body;
	}

	public String getName() {
		return name;
	}
	public String[] getParamNames() {
		return paramNames;
	}

	public ActionList getBody() {
		return body;
	}

	public void accept(Visitor v) throws JASVisitorException {
		v.visitSTART_FUNCTION(this);
	}
}
